<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: PortSpeedDirBrake Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classPortSpeedDirBrake.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classPortSpeedDirBrake-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PortSpeedDirBrake Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for PortSpeedDirBrake:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classPortSpeedDirBrake.png" usemap="#PortSpeedDirBrake_map" alt=""/>
  <map id="PortSpeedDirBrake_map" name="PortSpeedDirBrake_map">
<area href="classPort.html" alt="Port" shape="rect" coords="0,0,121,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a04e036fed7d7e1019a3eeb2bf2eb9dca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a04e036fed7d7e1019a3eeb2bf2eb9dca">PortSpeedDirBrake</a> ()</td></tr>
<tr class="separator:a04e036fed7d7e1019a3eeb2bf2eb9dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26bb5d894450d7e0bd38c561f51f0d6e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a26bb5d894450d7e0bd38c561f51f0d6e">begin</a> (int inPinPWM, int inPinDir, int inPinBrake, PIN_TYPE inPWMType, PIN_TYPE inDigitalType)</td></tr>
<tr class="separator:a26bb5d894450d7e0bd38c561f51f0d6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71eb18829608ad1bc184593c3a9ce7d5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a71eb18829608ad1bc184593c3a9ce7d5">IsActive</a> () const </td></tr>
<tr class="separator:a71eb18829608ad1bc184593c3a9ce7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02daf0961458a08c9ca7ab72e3d84452"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a02daf0961458a08c9ca7ab72e3d84452">GetPinPWM</a> () const </td></tr>
<tr class="separator:a02daf0961458a08c9ca7ab72e3d84452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3664a699412d620a3dd454f3d7baa083"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a3664a699412d620a3dd454f3d7baa083">GetPinDir</a> () const </td></tr>
<tr class="separator:a3664a699412d620a3dd454f3d7baa083"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd5175fa61be340f49573732ae2bff84"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#abd5175fa61be340f49573732ae2bff84">GetDIOPinDir</a> () const </td></tr>
<tr class="separator:abd5175fa61be340f49573732ae2bff84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0cde694df4fdbb88262359fe10d03d3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#aa0cde694df4fdbb88262359fe10d03d3">GetPinBrake</a> () const </td></tr>
<tr class="separator:aa0cde694df4fdbb88262359fe10d03d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb3149ccc0b679c22f8bbf9a4fcd8361"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#adb3149ccc0b679c22f8bbf9a4fcd8361">GetDIOPinBrake</a> () const </td></tr>
<tr class="separator:adb3149ccc0b679c22f8bbf9a4fcd8361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4f1de14adaac3149e05b039e9583118"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#aa4f1de14adaac3149e05b039e9583118">MoveLeftDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:aa4f1de14adaac3149e05b039e9583118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d5432a050febe89a4bf12e237f5114a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a7d5432a050febe89a4bf12e237f5114a">MoveRightDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a7d5432a050febe89a4bf12e237f5114a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c1334617ccf28fff57b31bc74ad204b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a5c1334617ccf28fff57b31bc74ad204b">MoveStop</a> ()</td></tr>
<tr class="separator:a5c1334617ccf28fff57b31bc74ad204b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port</a> ()</td></tr>
<tr class="separator:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a> ()</td></tr>
<tr class="separator:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101241b7b8e820f3d0da3c435ad1b66e inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">beginByAccessory</a> (int inStartingPosition)</td></tr>
<tr class="separator:a101241b7b8e820f3d0da3c435ad1b66e inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">GetPinType</a> () const </td></tr>
<tr class="separator:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">GetState</a> () const </td></tr>
<tr class="separator:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">GetSpeed</a> () const </td></tr>
<tr class="separator:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a> (int inSpeed)</td></tr>
<tr class="separator:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">IsLeftDir</a> () const </td></tr>
<tr class="separator:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">IsRightDir</a> () const </td></tr>
<tr class="separator:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">IsStopped</a> () const </td></tr>
<tr class="separator:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a6af50e48788eedf1a4a95122082643">MoveLeftDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ac78e0a5b72fc16c1240cecb5d6fe2f7f">MoveRightDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">MoveToggle</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a960a487c2833fc23e9285a7615f41379 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a960a487c2833fc23e9285a7615f41379">MovePosition</a> (unsigned long inDuration, int inEndPosition)</td></tr>
<tr class="separator:a960a487c2833fc23e9285a7615f41379 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807af3bdcf2f4bba25d4dd318601001c inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">GetPosition</a> ()</td></tr>
<tr class="separator:a807af3bdcf2f4bba25d4dd318601001c inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a71b88dae69e1e3070d52d3613d12dbd7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a71b88dae69e1e3070d52d3613d12dbd7">MapDigitalValue</a> (int inValue) const </td></tr>
<tr class="separator:a71b88dae69e1e3070d52d3613d12dbd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a> (int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a> (int inPin, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a> (int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a56a36f4792539c57c2f50d969674271d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a56a36f4792539c57c2f50d969674271d">pinPWM</a></td></tr>
<tr class="separator:a56a36f4792539c57c2f50d969674271d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a920dbe91fa2b8a7b11961d7db5833868"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#a920dbe91fa2b8a7b11961d7db5833868">digitalType</a></td></tr>
<tr class="separator:a920dbe91fa2b8a7b11961d7db5833868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add2e7b662584bf2be76875a8b822ec97"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#add2e7b662584bf2be76875a8b822ec97">pinDir</a></td></tr>
<tr class="separator:add2e7b662584bf2be76875a8b822ec97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7498e20f1d3746b14c2b50e997d37ec"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortSpeedDirBrake.html#ac7498e20f1d3746b14c2b50e997d37ec">pinBrake</a></td></tr>
<tr class="separator:ac7498e20f1d3746b14c2b50e997d37ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a></td></tr>
<tr class="separator:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a></td></tr>
<tr class="separator:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a></td></tr>
<tr class="separator:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a port for a motor driver like a LMD18200. Three pins will be used, for PWM, dir and brake connectors of the driver. PWM pin gives the power, the speed, dir pin gives the direction. One direction is when the pin is LOW, the other when the pin is HIGH. brake pin stops the motor if it is HIGH. </p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00014">14</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a04e036fed7d7e1019a3eeb2bf2eb9dca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PortSpeedDirBrake::PortSpeedDirBrake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8cpp_source.html#l00011">11</a> of file <a class="el" href="PortSpeedDirBrake_8cpp_source.html">PortSpeedDirBrake.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a26bb5d894450d7e0bd38c561f51f0d6e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PortSpeedDirBrake::begin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPinPWM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPinDir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPinBrake</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inPWMType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inDigitalType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPinPWM</td><td>Analog pin for power. </td></tr>
    <tr><td class="paramname">inPinDir</td><td>Digital direction pin. </td></tr>
    <tr><td class="paramname">inPinBrake</td><td>Brake pin. </td></tr>
    <tr><td class="paramname">inPWMType</td><td>kind of analog PWM pin. Can be only ANALOG or ANALOG_INVERTED. </td></tr>
    <tr><td class="paramname">inDigitalType</td><td>kind of both digital pins dir and brake. Can only be DIGITAL or DIGITAL_INVERTED.. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8cpp_source.html#l00016">16</a> of file <a class="el" href="PortSpeedDirBrake_8cpp_source.html">PortSpeedDirBrake.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="adb3149ccc0b679c22f8bbf9a4fcd8361"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_pin_t PortSpeedDirBrake::GetDIOPinBrake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the brake pin. </p><dl class="section return"><dt>Returns</dt><dd>Pin A number in DIO2 mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00074">74</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="abd5175fa61be340f49573732ae2bff84"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_pin_t PortSpeedDirBrake::GetDIOPinDir </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the direction pin. </p><dl class="section return"><dt>Returns</dt><dd>Pin A number in DIO2 mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00066">66</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aa0cde694df4fdbb88262359fe10d03d3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortSpeedDirBrake::GetPinBrake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the brake pin. </p><dl class="section return"><dt>Returns</dt><dd>pin number in Arduino mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00070">70</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a3664a699412d620a3dd454f3d7baa083"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortSpeedDirBrake::GetPinDir </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the direction pin. </p><dl class="section return"><dt>Returns</dt><dd>pin number in Arduino mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00062">62</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a02daf0961458a08c9ca7ab72e3d84452"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortSpeedDirBrake::GetPinPWM </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the PWM pin. </p><dl class="section return"><dt>Returns</dt><dd>pin number in Arduino mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00058">58</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a71eb18829608ad1bc184593c3a9ce7d5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool PortSpeedDirBrake::IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if this port is active. To be active, <a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin()</a> must have been called. </p><dl class="section return"><dt>Returns</dt><dd>true if the power pin number (<a class="el" href="classPortSpeedDirBrake.html#a56a36f4792539c57c2f50d969674271d">pinPWM</a>) is different than -1. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00054">54</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a71b88dae69e1e3070d52d3613d12dbd7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortSpeedDirBrake::MapDigitalValue </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inValue</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Map the digital value (HIGH o LOW) according to the inverted or not type of the pin. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inValue</td><td>value to map. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the adapted value according to the pin type :</dd></dl>
<table class="doxtable">
<tr>
<th>type </th><th>LOW </th><th>HIGH  </th></tr>
<tr>
<td>DIGITAL </td><td>LOW </td><td>HIGH </td></tr>
<tr>
<td>DIGITAL_INVERTED </td><td>HIGH </td><td>LOW </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8cpp_source.html#l00037">37</a> of file <a class="el" href="PortSpeedDirBrake_8cpp_source.html">PortSpeedDirBrake.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="aa4f1de14adaac3149e05b039e9583118"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortSpeedDirBrake::MoveLeftDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_LEFT. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to left for the given delay. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classPort.html#aef667cb477268c60f098300e139530ba">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8cpp_source.html#l00049">49</a> of file <a class="el" href="PortSpeedDirBrake_8cpp_source.html">PortSpeedDirBrake.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a7d5432a050febe89a4bf12e237f5114a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortSpeedDirBrake::MoveRightDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_RIGHT. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to right for the given delay. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classPort.html#aab681b4f2e4bb26a31d80308a04e348f">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8cpp_source.html#l00069">69</a> of file <a class="el" href="PortSpeedDirBrake_8cpp_source.html">PortSpeedDirBrake.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a5c1334617ccf28fff57b31bc74ad204b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortSpeedDirBrake::MoveStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_STOP. </p>

<p>Reimplemented from <a class="el" href="classPort.html#a63cfeea67bec1eab18758d74cd435c00">Port</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8cpp_source.html#l00088">88</a> of file <a class="el" href="PortSpeedDirBrake_8cpp_source.html">PortSpeedDirBrake.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a920dbe91fa2b8a7b11961d7db5833868"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PIN_TYPE PortSpeedDirBrake::digitalType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Type of digital pins dir and brake. </p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00020">20</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ac7498e20f1d3746b14c2b50e997d37ec"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_pin_t PortSpeedDirBrake::pinBrake</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Brake pin of this port. </p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00024">24</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="add2e7b662584bf2be76875a8b822ec97"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_pin_t PortSpeedDirBrake::pinDir</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Direction pin of this port. </p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00022">22</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a56a36f4792539c57c2f50d969674271d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortSpeedDirBrake::pinPWM</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>PWM pin. </p>

<p class="definition">Definition at line <a class="el" href="PortSpeedDirBrake_8hpp_source.html#l00018">18</a> of file <a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortSpeedDirBrake_8hpp_source.html">PortSpeedDirBrake.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortSpeedDirBrake_8cpp_source.html">PortSpeedDirBrake.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classPortSpeedDirBrake.html">PortSpeedDirBrake</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
